/*
 *  Lowpass1.h
 *  
 *  Arduino first order lowpass filter library
 *  Created by Dale Heatherington on 8/30/11.
 * This Code is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
 *
 */

#ifndef Lowpass1_h
#define Lowpass1_h
#define LIBRARY_VERSION	1.0.0

class Lowpass1

{
	
	public:
	
	Lowpass1(double,int);				// constructor.  Set cutoff freq and sample time parameters here.  
    double filter(double);			//Do the lowpass function. Returns filtered sample
	double a;
	
	private:	
	
	double lastOutput;
		
	unsigned long lastTime;
	int SampleTime;

};

#endif

